unit uAbout;

interface

uses
  Windows, Classes, Graphics, Controls, Forms, StdCtrls, ExtCtrls, SysUtils,
  GraphicEx;

type
  TFormAbout = class(TForm)
    ImageTopBar: TImage;
    LabelTitleMessage: TLabel;
    LabelFrontendVersion: TLabel;
    ButtonClose: TButton;
    Label1: TLabel;
    procedure FormCreate(Sender: TObject);
    procedure ButtonCloseClick(Sender: TObject);
    procedure FormKeyPress(Sender: TObject; var Key: Char);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FormAbout: TFormAbout;

implementation

uses uMain, uCommon;

{$R *.dfm}

procedure TFormAbout.FormCreate(Sender: TObject);
begin
  if FileExists(FormMain.AppPath+'images\topbar.png') then
     ImageTopBar.Picture.LoadFromFile(FormMain.AppPath+'images\topbar.png');
  //LabelFrontendVersion.Caption:= LabelFrontendVersion.Caption+AppVersion;
end;

procedure TFormAbout.ButtonCloseClick(Sender: TObject);
begin
  Close;
end;

procedure TFormAbout.FormKeyPress(Sender: TObject; var Key: Char);
begin
  if Key = #27 then
     ButtonClose.Click;
end;

end.
